# Comunidad y participación

En una Organización Descentralizada Autónoma (DAO por sus siglas en inglés), elementos significativos tales como parámetros del protocolo y la distribución de los tokens están controlados por la comunidad a través de su gobernanza. Esta gobernanza permite a la comunidad moldear y mejorar continuamente el protocolo.

No obstante, el rol de la comunidad no termina en la sugerencia de propuestas y expresando su opinión a través de votos. La comunidad también puede contribuir activamente en el éxito y la prosperidad de su protocolo mediante debates constructivos, ayuda mutua y acciones específicas.

Puede conocer a la comunidad Tornado.Cash en su propio foro y en las redes sociales. Aqui hay enlaces útiles para unirse a la comunidad Tornado.Cash

* [**Tornado.Cash community forum**](https://torn.community)
* [**Tornado.Cash Discord Server**](https://discord.com/invite/TFDrM8K42j)
* [**Tornado.Cash Telegram Discussions**](https://t.me/TornadoCashOfficial)

_Si está interesado, hay más información disponible al respecto en _[_Gobernanza_](https://docs.tornado.cash/v/es/governance)_._

## ¿Cómo involucrarse?

Para ayudar a construir futuras versiones mejoradas de Tornado.Cash, todas las habilidades y talentos son bienvenidas. Las oportunidades para involucrarse son casi ilimitadas. Estas oportunidades incluyen cualquier tipo de función o contribución que mejora el protocolo y su posicionamiento en el ecosistema blockchain.

La comunidad Tornado.Cash busca:

* desarrolladores que puedan ayudar a continuar construyendo el protocolo y sus herramientas;
* auditores que puedan revisar el código para encontrar fallos y vulnerabilidades;
* creadores de contenido para crear contenido educativo y promocional que atraiga a nuevos usuarios al protocolo (videos, blogs, memes, etc.)
* diseñadores que puedan refinar la arquitectura del protocolo y su diseño;
* vacantes potenciales para la DAO;
* ...

## Fondo Comunitario Tornado.Cash

En junio de 2021, la comunidad Tornado.Cash ha votado la implementación de un fondo de la comunidad para premiar a sus contribuidores clave ([propuesta #7](https://app.tornado.cash/governance/7)). El control de este fondo queda en manos de la propia comunidad. Los usuarios de Tornado.Cash son los que deciden qué contribuidores son elegibles para una compensación.

### Detalles del fondo

El Fondo Comunitario Tornado.Cash ha asignado un total del 5% de tokens TORN disponibles en al tesorería de gobierno, desglosados como sigue:

* 5% del total de 485.3k TORN concedidos hasta la fecha, resultando en una **transferencia inicial de 22.9k TORN** _->_ [_Detalles de transacción_](https://etherscan.io/tx/0xbe95f4268df2023d9ef234c1eedbb597b99e4c6e7d396d8f521ee482a1d93d47)
* 5% del total mensual de 91.6k que se concederán en los siguientes 12 meses, resultando en **una transferencia mensual de aprox. 4.6k TORN** (un total de aprox. 55k TORN durante un año)

La asignación mensual del Fondo se ha programado mediante [Sablier](https://sablier.finance), un protocolo construido sobre Ethereum que permite la transmisión continua de los tokens TRON restantes (segundo a segundo) durante 12 meses.

En total, un montante de aproximadamente **78k TORN** se han asignado a este Fondo Comunitario. A finales de agosto de 2021, el balance del Fondo Comunitario está alrededor de \~12.6k TORN dispuestos en Sablier y 15.5k TORN en Gnosis Safe.

El Contrato del Tornado.Cash Fondo Comunitario es:[ 0xb04E030140b30C27bcdfaafFFA98C57d80eDa7B4](https://gnosis-safe.io/app/#/safes/0xb04E030140b30C27bcdfaafFFA98C57d80eDa7B4/balances).

Los fondos se controlan mediante un Monedero Multi-firma en Gnosis Safe. Las claves para operar con este monedero se pusieron a disposición de 5 miembros de la comunidad elegidos. Para validar una transacción, un consenso de 4 sobre 5 firmas es necesario.

Los propietarios de las claves multi-firma se escogieron pos su contribución y compromiso con Tornado.Cash y su Comunidad. Ellos se han prometido a firmar transacciones que sigan las instrucciones de la comunidad. Las instrucciones se expresan mediante el foro de discusión y se corroboran mediante un _Snapshot_ de votos.

Todos los firmantes también se han comprometido a renunciar si no cumplen con su fidelidad con la prosperidad de Tornado.Cash. También pueden ser desprovistos de su rol bajo la decisión de la comunidad. Para recompensar su compromiso como firmantes y colaboradores clave para la comunidad Tornado.Cash, 100 TORN por mes se han repartido mediante Sablier.

Los propietarios de las 5 multi-firmas son actualmente:

* [0xd26BaA5F41CC7839CEdb020b6d98E1C6e1642D75](https://etherscan.io/address/0xd26BaA5F41CC7839CEdb020b6d98E1C6e1642D75)
* [0x0D5bbdBa8Fd6523102A0bb5a0E68b30441a3765F](https://etherscan.io/address/0x0D5bbdBa8Fd6523102A0bb5a0E68b30441a3765F)
* [0xAf98Bb4bCeD00A17fFE020499C342CFC3511Fb10](https://etherscan.io/address/0xAf98Bb4bCeD00A17fFE020499C342CFC3511Fb10)
* [0x647e9e26DA82C29AAFbbFB1C3f45d916AA9b300d](https://etherscan.io/address/0x647e9e26DA82C29AAFbbFB1C3f45d916AA9b300d)
* [0xEA27752f7D6687CB3Be2F180B997713b784c9911](https://etherscan.io/address/0xEA27752f7D6687CB3Be2F180B997713b784c9911)

###

### ¿Cómo Reclamar una Recompensa?

Cada miembro tiene la posibilidad de pedir a la comunidad una compensación del fondo para recompensar su contribución en Tornado.Cash. Cada miembro también tiene la capacidad de pedir una compensación en nombre de otro miembro para recompensar el trabajo del último.

En estos términos, una nueva categoría titulada **« Funding »** se ha creado en el foro de Tornado.Cash. Creando una nueva entrada en la categoría, todos los miembros pueden abrir una petición de financiación para usar el Fondo Comunitario. Los debates referentes a los términos y condiciones sobre la petición se discuten en esa entrada.

Cuando los términos y condiciones se han fijado, una votación tiene lugar en _Snapshot_ para validar (o no) la financiación de la petición.

Este es el espacio de Tornado.Cash Snapshot: [https://snapshot.org/#/torn-community.eth](https://snapshot.org/#/torn-community.eth).

![](.gitbook/assets/page-daccueil.png)

### ¿Cómo votar en Snapshot?

Cada una de las peticiones de financiación se acompaña de un voto Snapshot, donde los propietarios de TORN pueden expresar explícitamente su posición. El resultado de este voto Snapshot proporciona la instrucción final a los propietarios de las claves multi-firmas para transferir la cantidad de la recompensa decidida al miembro correspondiente.

Cada voto Snapshot tiene una `ventada de 3 días` para acumular votos de los poseedores de token TORN. Cuando la fecha final se alcanza, el estado del Snapshot cambia de `Activo` a `Cerrado`. Los miembros de la comunidad ya no pueden votar.

![](.gitbook/assets/time-window.png)

Los propietarios de las claves multi-firmas consideran que la petición se ha validado por la comunidad si:

* La mayoría de los poseedores de TORN han votado `Accept` en lugar de `Refuse`.
* El quórum de `5,000` TORN se ha alcanzado.

Todas las peticiones de financiación mediante Snapshot se han diseñado de la misma manera: un **sistema de voto con opción única** donde los usuarios deciden si ellos están **A Favor o En Contra** de la propuesta.

Los pasos ara votar en un Snapshot son bastante intuitivos. El miembro de la comunidad necesita:

* Conectar el monedero que tenga token TORN ya sea con Metamask, WalletConnect o Torus;

![](.gitbook/assets/connect-wallet.png)

* Emitir su voto, ya sea haciendo clic en `Accept` o `Refuse`;

![](.gitbook/assets/cast-the-vote.png)

* Confirmar su voto.

![](.gitbook/assets/confirm-the-vote.png)

_Escrito por_ [_**@ayefda**_](https://torn.community/u/ayefda)_****_\
_****Traducido por_ [_@EeXavi_](https://twitter.com/EeXavi?s=09)
