# Participación de la comunidad

En una Organización Autónoma Descentralizada (DAO en sus siglas en inglés), los elementos importantes, como los parámetros del protocolo y la distribución de tokens, son controlados por la comunidad a través de gobernanza. Esta gobernanza permite a la comunidad dar forma y mejorar continuamente el protocolo.

Sin embargo, el rol de una comunidad no se limita a sugerir propuestas y expresar su opinión a través de votos. La comunidad también puede contribuir activamente al éxito y prosperidad de su protocolo a través de debates constructivos, ayuda mutua y acciones específicas.

Puedes conocer a la comunidad de Tornado.Cash en su foro y en sus redes sociales. Aquí hay enlaces útiles para unirse a la comunidad de Tornado.Cash

* [**Tornado.Cash Foro de la comunidad**](https://torn.community)
* [**Tornado.Cash Servidor de Discord**](https://discord.com/invite/TFDrM8K42j)
* [**Tornado.Cash Discusiones de Telegram**](https://t.me/TornadoCashOfficial)

_Si estás interesado, hay más información disponible sobre_[ _Reglas de gobernanza y funcionamiento de Tornado.Cash_](governance.md)_._

## ¿Cómo participar?

Para ayudar a construir versiones mejoradas de Tornado.Cash a futuro, todas las habilidades y talentos son bien recibidos. Las oportunidades para involucrarse son casi ilimitadas. Esas oportunidades envuelven cualquier función o contribución que mejore el protocolo y su posición dentro del ecosistema blockchain.

La comunidad de Tornado.Cash está buscando:

* desarrolladores que pueden ayudar a continuar construyendo el protocolo y sus herramientas;
* auditores que puedan revisar el código para encontrar errores y vulnerabilidades;
* creadores de contenido con el fin de hacer contenido educativo o promocional para atraer nuevos usuarios al protocolo (videos, blogs, memes, etc.)
* diseñadores que puedan refinar la arquitectura y el diseño del protocolo;
* contrataciones potenciales para el DAO;
* ...

## Fondo Comunitario de Tornado.Cash

En junio de 2021, la comunidad de Tornado.Cash votó por la implementación de un fondo comunitario para premiar a sus contribuyentes clave ([propuesta n.º 7](https://tornadocash.eth.link/governance/7)). La administración de este fondo está entre las manos de la comunidad. Los usuarios de Tornado.Cash son quienes deciden qué contribución es elegible para una compensación.

### Detalles del fondo

Al Fondo Comunitario Tornado.Cash se le ha asignado el 5% del TORN total disponible de la tesorería de gobernanza, desglosado de la siguiente manera:

* 5 % de los 485,300 TORN en "vesting" en ese momento, lo que da como resultado una **transferencia inicial de 22,900 TORN** _->_ [_Detalles de la transacción_](https://etherscan.io/tx/0xbe95f4268df2023d9ef234c1eedbb597b99e4c6e7d396d8f521ee482a1d93d47)
* 5% de los 91.6k mensuales a los que se le hará "vesting" en los próximos 12 meses, lo que resultará en **una transferencia mensual de aprox. 4,600 TORN** (un total aproximado de 55,000 TORN durante un año)

La asignación mensual del Fondo se programó a través de [Sablier](https://sablier.finance), un protocolo basado en Ethereum que permite una transmisión en vivo de los TORN restantes (segundo a segundo) por 12 meses.

En total, se asignó una cantidad de aproximadamente **78k TORN** a este Fondo Comunitario. Para finales de agosto de 2021, el saldo del Fondo Comunitario es de aproximadamente \~12,600 TORN "vested" a Sablier y 15,500 TORN en Gnosis Safe. A principios de 2022, el saldo del Fondo Comunitario (en Gnosis Safe) asciende a \~36,400 TORN.

El Contrato de la comunidad de Tornado.Cash es: [0xb04E030140b30C27bcdfaafFFA98C57d80eDa7B4](https://gnosis-safe.io/app/#/safes/0xb04E030140b30C27bcdfaafFFA98C57d80eDa7B4/balances).

Los fondos se manejan a través de una billetera "Multi-signature" traducido "billetera de firmas múltiples" en Gnosis Safe. Las llaves para administrar esta billetera se pusieron entre las manos de 5 miembros elegidos por la comunidad. Para validar una transacción, se necesita un consenso de al menos 4 de 5 firmas.

Esos miembros pertenecientes al "multi-sig" fueron elegidos por sus contribuciones y compromiso con Tornado.Cash y su comunidad. Se comprometieron a firmar la transacción siguiendo las instrucciones de la comunidad. Esas pautas se expresan a través de discusiones en el foro y se corroboran mediante una votación en Snapshot.

Todos los firmantes también se comprometieron a renunciar si ya no cumplen con su lealtad a la prosperidad de Tornado. También pueden ser separados de su cargo por decisión de la comunidad. Para recompensar su compromiso como firmantes y contribuyentes clave para la comunidad de Tornado.Cash, se ha desplegado un mínimo de 100 TORN por mes para cada firmante a través de Sablier.

Los 5 miembros del "multi-sig" son:

* [0xd26BaA5F41CC7839CEdb020b6d98E1C6e1642D75](https://etherscan.io/address/0xd26BaA5F41CC7839CEdb020b6d98E1C6e1642D75)
* [0x7c09bCa28ba3DB1CF7cd793696B161261cAC27b5](https://etherscan.io/address/0x7c09bCa28ba3DB1CF7cd793696B161261cAC27b5)
* [0x339B45fBEed1ab46Fe9c11f484b0Ea7220e75300](https://etherscan.io/address/0x339B45fBEed1ab46Fe9c11f484b0Ea7220e75300)
* [0x647e9e26DA82C29AAFbbFB1C3f45d916AA9b300d](https://etherscan.io/address/0x647e9e26DA82C29AAFbbFB1C3f45d916AA9b300d)
* [0xEA27752f7D6687CB3Be2F180B997713b784c9911](https://etherscan.io/address/0xEA27752f7D6687CB3Be2F180B997713b784c9911)

### ¿Cómo reclamar recompensas?

Cada miembro tiene la capacidad de solicitar a la comunidad una compensación de este fondo para recompensar su contribución a Tornado.Cash. Cada miembro también tiene la capacidad de solicitar una compensación en nombre de otro miembro para recompensarlo por su trabajo.

En este sentido, se ha creado una nueva categoría titulada **« Financiación »** en el foro de Tornado.Cash. Al crear un nuevo post en esta categoría, todos los miembros pueden abrir una solicitud de financiamiento para usar el Fondo Comunitario. Las discusiones sobre los términos y condiciones de dicha solicitud se discuten en esta publicación.

Una vez que se fijan esos términos y condiciones, se realiza una votación en Snapshot para validar (o no) dicha solicitud de financiación.

Aquí está el espacio de Tornado.Cash en Snapshot:[ https://snapshot.org/#/torn-community.eth](https://snapshot.org/#/torn-community.eth).

![](<../.gitbook/assets/Page d'accueil.png>)

### ¿Cómo votar en Snapshot?

Cada solicitud de financiación va acompañada de un voto en Snapshot, donde los poseedores de TORN pueden expresar explícitamente su posición. El resultado de esta votación proporciona una instrucción final a los dueños del "multi-sig" sobre si transferir el monto de la recompensa decidida al miembro en cuestión.

Cada votación tiene una "duración de `3 días` para acumular los votos de los poseedores de TORN. Cuando se alcanza la fecha de finalización, el estado del voto pasa de `Active` "Activo" a `Closed` "Cerrado". Los miembros de la comunidad ya no pueden votar.

![](<../.gitbook/assets/Time window.png>)

Los dueños del "multi-sig" consideran que la solicitud de financiamiento es validada por la comunidad si:

* La mayoría de los poseedores de TORN han votado "Accept", "Aceptar" en lugar de "Refuse", "Rechazar".
* Se ha alcanzado el quórum de `5,000` TORN.

Todas las solicitudes de financiación en Snapshot están diseñadas de la misma manera: un **sistema de votación de opción única** en el que los usuarios deciden si están **a favor o en contra** de la propuesta presentada.

Los pasos para votar en Snapshot son bastante intuitivos. El miembro de la comunidad necesita:

* Conectar una billetera que contenga TORNs usando a MetaMask, WalletConnect o Torus;

![](<../.gitbook/assets/Connect wallet.png>)

* Emitir el voto, ya sea haciendo clic en `Accept` o `Refuse`;

![](<../.gitbook/assets/Cast the vote.png>)

* Confirmar el voto.

![](<../.gitbook/assets/Confirm the vote.png>)

_Escrito por_ [_@ayefda_](https://torn.community/u/ayefda)
