# Iniciando sesión en Tornado Cash Nova

Lanzado en diciembre de 2021, Tornado Cash Nova ofrece la libertad de elegir montos personalizados para las transacciones, así como la capacidad de transferir tokens sin abandonar el anonimato. Con características tan únicas, esta nueva pool requiere su propio conjunto de instrucciones.

Se puede acceder a Tornado Cash Nova (versión beta) a través de su propia aplicación descentralizada en [nova.tornadocash.eth.link](https://nova.tornadocash.eth.link).

![](https://i.imgur.com/F8pojDs.png)

En primer lugar, bienvenido al pool de Tornado Cash Nova, ahora descubramos cómo funciona esta nueva herramienta 🌪

## Log In <a href="#log-in-nova" id="log-in-nova"></a>

![](https://i.imgur.com/uHPTk13.png)

Puedes iniciar sesión en tu cuenta de Tornado Cash Nova de la siguiente manera:

* **Conectandote con MetaMask** con la dirección vinculada a tu cuenta Nova,
* **Utilizando la clave protegida** que se generó junto con la creación de tu cuenta.

Cada cuenta está conectada a una **dirección protegida** única (así como a una **clave protegida** única) que se pueden utilizar para iniciar sesión y administrar el saldo dentro del pool de Nova.

### Cuenta de Tornado Cash Nova <a href="#user-content-tornado-cash-nova-account" id="user-content-tornado-cash-nova-account"></a>

Iniciar sesión en el pool de Nova te permitirá:

* **Comprobar tu saldo protegido** que representa la cantidad de tokens que posees actualmente en el pool de Nova,
* **Deposita a tu balance** con tokens adicionales,
* **Transferir la custodia de los tokens** a otra dirección protegida registrada en el pool,
* **Retira la cantidad deseada de tokens** a través de la dirección de destino que elijas.

Solo aquellos que tengan acceso a tu billetera Metamask o a tu clave protegida podrán acceder a esta información con respecto a tu cuenta (es decir, tu saldo protegido). ⚠️ Sé consciente de qué información compartes con quién.

### Billetera MetaMask <a href="#user-content-metamask-wallet" id="user-content-metamask-wallet"></a>

Cada cuenta de Tornado Cash Nova está vinculada a una dirección protegida. Como se mencionó anteriormente, los usuarios tienen dos formas de acceder a su cuenta y su saldo. Una de estas formas es **a través de una billetera de MetaMask conectada a la dirección protegida apropiada**.

![](https://i.imgur.com/idXaco8.png)

Una dirección protegida se crea automáticamente cuando los usuarios inician sesión con una dirección determinada y luego depositan tokens para utilizar el saldo del pool de esta dirección.

_Más información sobre la acción de Financiamiento está disponible en_ [_Fondeos y Retiros en Nova_](fund-and-withdraw-on-nova.md)__

Sin embargo, las direcciones protegidas también se pueden crear desde cero como una acción separada iniciando sesión en una nueva dirección sin un enlace previo a Tornado Cash Nova, luego haciendo clic en `Set up account`.

Al confirmar esta acción a través de tu cuenta de Metamask, tu dirección protegida se cifrará y creará con la generación de una clave protegida.

![](https://i.imgur.com/8q7DYeh.png)

Una vez configurada la cuenta, podrás recibir transferencias protegidas de tokens desde cualquier otra dirección registrada en el pool. También podrás financiar, transferir y retirar tokens como quieras.

### Clave protegida <a href="#shielded-key" id="shielded-key"></a>

Como se vio anteriormente, la otra forma de iniciar sesión es **a través de la clave protegida generada** que se crea junto con una cuenta mediante la configuración de una nueva dirección protegida.

Una vez que has iniciado sesión con tu dirección y tu cuenta esté configurada, puedes descargar esta clave protegida en cualquier momento accediendo a los datos de tu cuenta (haciendo clic en tu dirección, junto a tu saldo protegido).

![](https://i.imgur.com/RFac1HU.png)

![](https://i.imgur.com/F2Scf8w.png)

Para obtener total privacidad, todavía se requieren las mismas prácticas que se recomiendan para los pools de Tornado Cash tradicionales. _Puedes encontrar consejos para mantener la privacidad en la documentación del protocolo:_ [_Consejos para permanecer anónimo_](../general/tips-to-remain-anonymous.md) _y_ [_Más consejos de anonimato_](more-anonymity-tips.md) _._

\_\_

_Escrito por_ [_@ayefda_](https://torn.community/u/ayefda)
