# Más consejos de anonimato

Para esta sección, te remitimos al tutorial [tips-to-remain-anonymous.md](../general/tips-to-remain-anonymous.md "mention") como primer paso. Todos los puntos mencionados en este tutorial aún se aplican a Tornado Cash Nova.

Como recordatorio rápido, estos consejos incluyen:

* Uso de un VPN,
* No compartir la clave protegida o el acceso a esta dirección protegida
* Si se descarga, mantener esta clave protegida en un lugar seguro,
* Eliminar los datos después de su uso,
* Evitar el uso del mismo token API para todas las transacciones,
* Ser paciente entre el momento del depósito y el retiro,
* Uso de múltiples direcciones para el retiro.

Sin embargo, con sus nuevas características, Tornado Cash Nova requiere más precauciones para mantener el anonimato.

## Use of Relayers <a href="#use-of-relayers" id="use-of-relayers"></a>

Los pagos del gas son necesarios para las transacciones. Para transferencias y retiros protegidos, hay dos métodos de pago disponibles para proporcionar ETH para pagar el gas. Puedes **conectar tu billetera o usar un repetidor**.

Pagar este gas usando tu billetera puede comprometer el anonimato de la transacción si los ETH utilizados se pueden vincular a tu identidad. Por lo tanto, **se recomienda utilizar un repetidor para preservar la privacidad**

![Tips1](https://i.imgur.com/PsZ89Ym.png)

## Elección de cantidad de retiro <a href="#user-content-choice-of-withdrawal-amounts" id="user-content-choice-of-withdrawal-amounts"></a>

La función de cantidades personalizadas ofrece más flexibilidad y libertad de uso. Sin embargo, puede comprometer tu privacidad si se usa sin cuidado.

### Elegir montos predefinidos para retiros

![Tips2](https://i.imgur.com/dKYvNQT.png)

Se recomienda encarecidamente elegir una de las cuatro cantidades predeterminadas, ya que permitirá que tu retiro se mezcle con la multitud y permanezcas en el anonimato.

Sigues teniendo la libertad de `Set custom` o `Establecer un monto personalizado` para retirar una cantidad personalizada de tu elección. Sin embargo, dependiendo de la cantidad elegida, se puede deducir una conexión entre tu transacción inicial de fondos y tu retiro si:

* La cantidad financiada inicialmente y la cantidad retirada son exactamente iguales,
* Las cantidades financiadas y retiradas se pueden vincular fácilmente a través de una suma.

Por ejemplo, un depósito de 0,42 ETH se puede vincular a un retiro de exactamente 0,42 ETH o dos veces 0,21 ETH, lo que podría comprometer el anonimato. Sin embargo, con un retiro de 0.391 ETH, la privacidad se preserva mejor, ya que no existe un vínculo obvio entre las cantidades de 0.42 y 0.391.

La opción personalizada solo debe elegirse con pleno conocimientos y con total confianza en tus acciones.

_Escrito por_ [_@ayefda_](https://torn.community/u/ayefda)
